> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync an SFTP destination

> Triggers an immediate synchronisation of the SFTP destination with its external server. Returns the updated destination after sync.



## OpenAPI

````yaml /api-reference/integration-server-to-extole.json post /v6/sftp-destinations/{sftpDestinationId}/sync
openapi: 3.0.1
info:
  description: >-
    Server-to-Extole integration endpoints: event submission, person lookup,
    zone rendering, token management, and reward retrieval for backend services
    authenticating with client credentials.
  title: Integration API - Server to Extole
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Batch Jobs
  - name: Events
  - name: Files
  - name: Persons
  - name: Reward Suppliers
  - name: Rewards
  - name: SFTP Servers
  - name: Zone Rendering
paths:
  /v6/sftp-destinations/{sftpDestinationId}/sync:
    post:
      tags:
        - SFTP Servers
      summary: Sync an SFTP destination
      description: >-
        Triggers an immediate synchronisation of the SFTP destination with its
        external server. Returns the updated destination after sync.
      operationId: syncSftpDestination
      parameters:
        - in: path
          name: sftpDestinationId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SftpDestinationResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                sftp_destination_not_found:
                  $ref: '#/components/examples/sftp_destination_not_found'
                unsupported_operation:
                  $ref: '#/components/examples/unsupported_operation'
                username_exists_on_sftp_server:
                  $ref: '#/components/examples/username_exists_on_sftp_server'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    SftpDestinationResponse:
      discriminator:
        mapping:
          EXTERNAL:
            $ref: '#/components/schemas/ExternalSftpDestinationResponse'
          LOCAL:
            $ref: '#/components/schemas/LocalSftpDestinationResponse'
        propertyName: type
      oneOf:
        - title: EXTERNAL
          allOf:
            - $ref: '#/components/schemas/ExternalSftpDestinationResponse'
        - title: LOCAL
          allOf:
            - $ref: '#/components/schemas/LocalSftpDestinationResponse'
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    ExternalSftpDestinationResponse:
      allOf:
        - $ref: '#/components/schemas/SftpDestinationResponseBase'
        - properties:
            id:
              readOnly: true
              type: string
            key_id:
              type: string
            partner_key_id:
              nullable: true
              type: string
            type:
              enum:
                - EXTERNAL
              type: string
          type: object
      description: External sftp destination response.
      required:
        - created_date
        - dropbox_path
        - extole_key_id
        - host
        - id
        - key_id
        - name
        - partner_key_id
        - port
        - type
        - updated_date
        - username
      type: object
      title: EXTERNAL
    LocalSftpDestinationResponse:
      allOf:
        - $ref: '#/components/schemas/SftpDestinationResponseBase'
        - properties:
            file_processing_enabled:
              type: boolean
            id:
              readOnly: true
              type: string
            key_ids:
              items:
                type: string
              type: array
              uniqueItems: true
            partner_key_id:
              nullable: true
              type: string
            type:
              enum:
                - LOCAL
              type: string
          type: object
      description: Extole local sftp destination response.
      required:
        - created_date
        - dropbox_path
        - extole_key_id
        - file_processing_enabled
        - host
        - id
        - key_ids
        - name
        - partner_key_id
        - port
        - type
        - updated_date
        - username
      type: object
      title: LOCAL
    SftpDestinationResponseBase:
      properties:
        created_date:
          $ref: '#/components/schemas/ZonedDateTime'
        dropbox_path:
          type: string
        extole_key_id:
          type: string
        host:
          type: string
        id:
          type: string
        name:
          type: string
        partner_key_id:
          type: string
        port:
          format: int32
          type: integer
        type:
          enum:
            - EXTERNAL
            - LOCAL
          type: string
        updated_date:
          $ref: '#/components/schemas/ZonedDateTime'
        username:
          type: string
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    sftp_destination_not_found:
      summary: sftp_destination_not_found
      value:
        code: sftp_destination_not_found
        http_status_code: 400
        message: Could not find sftp destination
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_operation:
      summary: unsupported_operation
      value:
        code: unsupported_operation
        http_status_code: 400
        message: Operation is not supported for given sftp destination type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    username_exists_on_sftp_server:
      summary: username_exists_on_sftp_server
      value:
        code: username_exists_on_sftp_server
        http_status_code: 400
        message: Username already exists on sftp server
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````